
From: David Teigland <teigland@redhat.com>

The call to unregister_lockspace was left commented out from previous
debugging.

Signed-off-by: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/device.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN drivers/dlm/device.c~dlm-device-interface-dlm-uncomment-unregister_lockspace drivers/dlm/device.c
--- 25/drivers/dlm/device.c~dlm-device-interface-dlm-uncomment-unregister_lockspace	Thu Jun  2 16:33:15 2005
+++ 25-akpm/drivers/dlm/device.c	Thu Jun  2 16:33:15 2005
@@ -594,8 +594,7 @@ static int dlm_close(struct inode *inode
 
 		if (lsinfo->ls_lockspace) {
 			if (test_bit(LS_FLAG_AUTOFREE, &lsinfo->ls_flags)) {
-				/* TODO this breaks!
-				unregister_lockspace(lsinfo, 1); */
+				unregister_lockspace(lsinfo, 1);
 			}
 		} else {
 			kfree(lsinfo->ls_miscinfo.name);
_
